Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.view.client
Class Range

    java.lang.Object
      com.google.gwt.view.client.Range

All Implemented Interfaces:
  java.io.Serializable

    public class Range

extends java.lang.Object
implements java.io.Serializable

The range of interest for a single handler.

See Also:
  Serialized Form

Constructor Summary
`Range()` Used by RPC.
`Range(int start, int length)` Construct a new `Range`.

Method Summary
`boolean` | `equals(java.lang.Object o)` Return true if this ranges's start end length are equal to those of the given object.
`int` | `getLength()` Get the length of the range.
`int` | `getStart()` Get the start index of the range.
`int` | `hashCode()` Return a hash code based on this range's start and length.
`java.lang.String` | `toString()` Returns a String representation for debugging.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Range

    public Range(int start,
                 int length)

  Construct a new `Range`.

  Parameters:
    `start` - the start index
    `length` - the length

### Range

    Range()

  Used by RPC.

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Return true if this ranges's start end length are equal to those of the given object.

  Overrides:
    `equals` in class `java.lang.Object`

### getLength

    public int getLength()

  Get the length of the range.

  Returns:
    the length

### getStart

    public int getStart()

  Get the start index of the range.

  Returns:
    the start index

### hashCode

    public int hashCode()

  Return a hash code based on this range's start and length.

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Returns a String representation for debugging.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD